Loading...
Searching...
No Matches
cf_iter_inline.cc File Reference

definition of configurable inline `CFIterator' methods. More...

`#include "config.h"`
`#include "cf_assert.h"`
`#include "canonicalform.h"`
`#include "cf_iter.h"`
`#include "int_cf.h"`
`#include "int_poly.h"`

Go to the source code of this file.

## Macros

#define | CF_USE_INLINE_SAVE
#define | CF_USE_INLINE
#define | CF_INLINE inline

## Detailed Description

definition of configurable inline `CFIterator' methods.

Hierarchy: canonicalform, utility class

Header file: cf_iter.h

See `cf_inline.cc' for a description of "configurable inline methods".

Definition in file cf_iter_inline.cc.

## Macro Definition Documentation

## CF_INLINE

#define CF_INLINE inline

Definition at line 58 of file cf_iter_inline.cc.

## CF_USE_INLINE

#define CF_USE_INLINE

Definition at line 45 of file cf_iter_inline.cc.

## CF_USE_INLINE_SAVE

#define CF_USE_INLINE_SAVE

Definition at line 40 of file cf_iter_inline.cc.